<div fxLayout="row wrap">
    <div fxFlex.gt-sm="100" fxFlex.gt-xs="100" fxFlex="100">
        <mat-card>
            <mat-card-content>
                <div fxLayout="row" fxLayout.xs="column" fxFlexFill fxLayoutGap="20px">
                    <mat-form-field fxFlex="50" fxFlex.xs="50">
                        <mat-label>Cédula</mat-label>
                        <input matInput type="tel" placeholder="Cédula, Nombre o Apellido del usuario" id="filter"
                             name="filter" #filter>
                    </mat-form-field>
                    <mat-form-field fxFlex="50" fxFlex.xs="50">
                        <mat-label>Código</mat-label>
                        <input matInput type="text" placeholder="Código de suscripción" id="codigo"
                             name="codigo" #codigo>
                    </mat-form-field>
                </div>
                <div class="spinner-container" *ngIf="dataSourcePage.loading$ | async">
                    <mat-spinner></mat-spinner>
                </div>
                <div class="responsive-table">
                    <mat-table [dataSource]="dataSourcePage" matSort>
                        <!-- Acciones Column -->
                        <ng-container matColumnDef="acciones">
                            <mat-header-cell *matHeaderCellDef> Acciones </mat-header-cell>
                            <mat-cell *matCellDef="let row">
                                <button mat-icon-button [routerLink]="['/suscripcions/', row.id]">
                                    <mat-icon>edit</mat-icon>
                                </button>
                            </mat-cell>
                        </ng-container>
                        <!-- Codigo Column -->
                        <ng-container matColumnDef="usuario">
                            <mat-header-cell *matHeaderCellDef mat-sort-header> Usuario </mat-header-cell>
                            <mat-cell *matCellDef="let row"> {{row.nombres}} {{row.apellidos}}</mat-cell>
                        </ng-container>
                        <ng-container matColumnDef="codigoPago">
                            <mat-header-cell *matHeaderCellDef mat-sort-header> Código </mat-header-cell>
                            <mat-cell *matCellDef="let row"> {{row.codigoPago}} </mat-cell>
                        </ng-container>
                        <!-- porciento Column -->
                        <ng-container matColumnDef="documento">
                            <mat-header-cell *matHeaderCellDef mat-sort-header> Documento </mat-header-cell>
                            <mat-cell *matCellDef="let row"> {{row.documento}}</mat-cell>
                        </ng-container>
                        <!-- cedula Column -->
                        <ng-container matColumnDef="fechaPago">
                            <mat-header-cell *matHeaderCellDef mat-sort-header> Fecha Pago </mat-header-cell>
                            <mat-cell *matCellDef="let row"> {{row.fechaPago | date:'dd/MM/yyyy'}} </mat-cell>
                        </ng-container>
                        <!-- codigo Column -->
                        <ng-container matColumnDef="estado">
                            <mat-header-cell *matHeaderCellDef mat-sort-header> Estado </mat-header-cell>
                            <mat-cell *matCellDef="let row"> {{row.estado}} </mat-cell>
                        </ng-container>

                        <!-- mensaje Column -->
                        <ng-container matColumnDef="cupon">
                            <mat-header-cell *matHeaderCellDef mat-sort-header> Cupon </mat-header-cell>
                            <mat-cell *matCellDef="let row"> {{row.cupon}}</mat-cell>
                        </ng-container>
                        <!-- estado Column -->
                        <ng-container matColumnDef="total">
                            <mat-header-cell *matHeaderCellDef mat-sort-header> Total </mat-header-cell>
                            <mat-cell *matCellDef="let row"> {{row.total}}</mat-cell>
                        </ng-container>

                        <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
                        <mat-row *matRowDef="let row; columns: displayedColumns;">
                        </mat-row>
                    </mat-table>
                    <mat-paginator [length]="30" [pageSize]="3" [pageSizeOptions]="[3, 5, 10]">
                    </mat-paginator>
                </div>
            </mat-card-content>
        </mat-card>
    </div>
</div>